# -*- coding: utf-8 -*-

import sys, os

# -- General configuration -----------------------------------------------------

extensions = [ 'sphinx.ext.autodoc' ]

templates_path = [ '_templates' ]

source_suffix = '.rst'

source_encoding = 'utf-8'

master_doc = 'index'

project = u'PiAnoS - Picture Annotation System'
copyright = u'2011-2017, University of Lausanne, Switzerland'

# The version info for the project you're documenting, acts as replacement for
# |version| and |release|, also used in various other places throughout the
# built documents.
#
# The short X.Y version.
version = 'dev'
# The full version, including alpha/beta/rc tags.
release = 'dev'

exclude_patterns = []

pygments_style = 'sphinx'

# -- Options for HTML output ---------------------------------------------------

html_theme = 'default'

html_static_path = [ '_static' ]

html_use_index = True

htmlhelp_basename = 'PiAnoSdoc'

# -- Options for LaTeX output --------------------------------------------------

latex_elements = {}

latex_documents = [
  ( 'index', 'PiAnoS.tex', u'PiAnoS Documentation', u'Thibault Genessay - Marco De Donno', 'manual' ),
]

# -- Options for manual page output --------------------------------------------

man_pages = [
    ( 'index', 'pianos', u'PiAnoS Documentation', [ u'Thibault Genessay', u'Marco De Donno' ], 1 )
]

# -- Options for Texinfo output ------------------------------------------------

texinfo_documents = [
  ( 'index', 'PiAnoS', u'PiAnoS Documentation', u'Thibault Genessay - Marco De Donno', 'PiAnoS', 'One line description of project.', 'Miscellaneous' ),
]

# -- Options for Epub output ---------------------------------------------------

epub_title = u'PiAnoS'
epub_author = u'Thibault Genessay - Marco De Donno'
epub_publisher = u'Thibault Genessay - Marco De Donno'
epub_copyright = u'2011-2017, University of Lausanne, Switzerland'
